package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 疾病体格检查
 * @TableName vp_disease_physical
 */
@TableName(value ="vp_disease_physical")
@Data
@ApiModel
public class DiseasePhysical implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 病历ID
     */
    @ApiModelProperty("病历ID")
    private String diseaseId;
    /**
     * 工具ID
     */
    @ApiModelProperty("工具ID")
    private String toolId;

    /**
     * 检查部位ID
     */
    @ApiModelProperty("检查部位ID")
    private String locationId;

    /**
     * 是否必查-初步诊断依据
     */
    @ApiModelProperty("是否必查-初步诊断依据(0否1是)")
    private Integer requireCheck;

    @ApiModelProperty("是否是正式诊断依据(0否1是)")
    private Integer basisConfirm;

    @ApiModelProperty("是否是鉴别依据(0否1是)")
    private Integer basisIdentification;

    @ApiModelProperty("初步诊断依据")
    private Integer isPrimarilyDiagnosisCriteria;

    @ApiModelProperty("是否诊断判读 0否1是")
    private Integer isDiagnosisAssessment;

    @ApiModelProperty("是否预期诊断结果 0正常 1 不正常")
    private Integer expectedDiagnosisResult;


    @ApiModelProperty("全面检查 0正常 1 不正常")
    private Integer isFullCheck;

    /**
     * 结果
     */
    @ApiModelProperty("结果")
    private String result;

    /**
     * 表征
     */
    @ApiModelProperty("表征 默认诊断结果")
    private String trait;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}